# Settings Struct Reference

Class holds (global) program settings. More...

`#include <config.h>`

List of all members.

## Static Public Member Functions
static bool | ready (void)
static bool | correct (void)
static bool | context (void)
| Returns true, if context has to be gathered.
## Static Public Attributes
static ContextWindow | context_window
| Context window settings.
static const char * | context_filter = 0
| Context filters filename.
static const char * | context_output_file = 0
| Context output filename.
static const char * | context_tag_mask = 0
| Context morphologic tag mask.
static const char * | dir = 0
| Directory with data files.
static const char * | filter = 0
| File with morphologic filter.
static const char * | in = 0
| Input filename.
static word_order_t | n = 0
| N-gram size.
static const char * | out = 0
| Output filename.
static Sieves | sieves
| To sieve the resulting statistics by given thresholds.
static Thresholds | thresholds
| To sieve the resulting statistics by given thresholds.
static bool | all_thresholds_together = false
| If true, all non-zero thresholds must be passed, otherwise passing one of them is enough.
static const char * | tag_mask = 0
| Tag mask determines significant positions of morphological tag.

## Detailed Description

Class holds (global) program settings.

Static struct is used to separate names from appearing directly in program namespace.

Definition at line 168 of file config.h.

## Member Function Documentation

static bool Settings::ready | ( | void |  | ) | `[inline, static]`

Returns:
  True, if all mandatory settings are given.

Definition at line 211 of file config.h.

bool Settings::correct | ( | void |  | ) | `[static]`

Returns:
  True, if all given settings are set correctly (both mandatory and optional).

Definition at line 98 of file config.cpp.

The documentation for this struct was generated from the following files:

- D:/projects/ACE/proto/Source/config.h
- D:/projects/ACE/proto/Source/config.cpp